#!/usr/bin/env python
from DFTB import XYZ, AtomicData
import numpy as np


if __name__ == "__main__":
    import sys
    import os
    if len(sys.argv) < 2:
        print "Usage: %s .xyz-file" % (os.path.basename(sys.argv[0]))
        print "  assigns atom type 0 to hydrogens and 1 to carbons."
        print "  This script simply adds a 5th column with 0's or 1's to"
        print "  the .xyz-file and writes the result to stdout."
        print " "
        print "  WARNING: The force field only works for aromatic hydrocarbons!"
        exit(-1)
    xyz_file = sys.argv[1]
        
    atomlist = XYZ.read_xyz(xyz_file)[0]

    nat=len(atomlist)
    print nat
    print ""
    for Zi,posi in atomlist:
        posi = np.array(posi) * AtomicData.bohr_to_angs
        atname = AtomicData.atom_names[Zi-1].upper()
        if atname == "H":
            atomtype = 0
        elif atname == "C":
            atomtype = 1
        else:
            raise NotImplemented("Only atomtypes for aromatic hydrocarbons are implemented!")
        print " %s     %10.7f %10.7f %10.7f    %d" % (atname, posi[0], posi[1], posi[2], atomtype)

    
