/*

 */

#include <stdio.h>

#include "atoms.h"

// conversion factors
#define a2b 1.8897259885789233
#define kcal2Hartree 0.0015936             // Hartree / (kcal/mol)
#define forceConst2Hartree 0.0004462535    // [Hartree / bohr^2] / [(kcal/mol) / Ang^2]

//
#define RE_DELTA (0.01 * a2b)                           // 0.01 Angstrom
#define KE_SINGLE_BOND  (700.0 * forceConst2Hartree)    // 700.00 (kcal/mol)/Angstrom^2
#define K_ANGLE (100.0 * kcal2Hartree)   // 100 (kcal/mol) / rad^2

#define VbarrierD  (25.0 * kcal2Hartree)

#define K_INVERSION (40.0 * kcal2Hartree)
#define PSI0_INVERSION 0.0
#define COS_PSI0_INVERSION cos(PSI0_INVERSION)
#define NONBONDING_CUTOFF (9.0 * a2b)   // 9.0 Angstrom

//

#define dreiding_nr_atom_types 2

ATOM *read_force_field(FILE *fh, int *nat, CRYSTAL *crystal);
void assign_parameters(ATOM *atoms, int nat, int verbose);
